> For the complete documentation index, see [llms.txt](https://docs.aera.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aera.finance/the-protocol/core/isingledepositorvaultfactory.md).

# ISingleDepositorVaultFactory

**Inherits:** IBaseVaultDeployer, IFeeVaultDeployer

Interface for the single-depositor vault factory

## Functions

### create

Create single-depositor vault

```solidity
function create(
    bytes32 salt,
    string calldata description,
    BaseVaultParameters calldata baseVaultParams,
    FeeVaultParameters calldata singleDepositorVaultParams,
    address expectedVaultAddress
) external returns (address deployedVault);
```

**Parameters**

| Name                         | Type                  | Description                                                         |
| ---------------------------- | --------------------- | ------------------------------------------------------------------- |
| `salt`                       | `bytes32`             | The salt used to generate the vault address                         |
| `description`                | `string`              | Vault description                                                   |
| `baseVaultParams`            | `BaseVaultParameters` | Base vault parameters for deployment                                |
| `singleDepositorVaultParams` | `FeeVaultParameters`  | Parameters for deployment related to single depositor functionality |
| `expectedVaultAddress`       | `address`             | Expected vault address to check against deployed vault address      |

**Returns**

| Name            | Type      | Description            |
| --------------- | --------- | ---------------------- |
| `deployedVault` | `address` | Deployed vault address |

## Events

### VaultCreated

Emitted when the vault is created

```solidity
event VaultCreated(
    address indexed vault,
    address indexed owner,
    address submitHooks,
    IERC20 feeToken,
    IFeeCalculator feeCalculator,
    address feeRecipient,
    string description
);
```

**Parameters**

| Name            | Type             | Description            |
| --------------- | ---------------- | ---------------------- |
| `vault`         | `address`        | Vault address          |
| `owner`         | `address`        | Initial owner address  |
| `submitHooks`   | `address`        | Submit hooks address   |
| `feeToken`      | `IERC20`         | Fee token address      |
| `feeCalculator` | `IFeeCalculator` | Fee calculator address |
| `feeRecipient`  | `address`        | Fee recipient address  |
| `description`   | `string`         | Vault description      |

## Errors

### Aera\_\_ZeroAddressDeployDelegate

Thrown when deploy delegate is the zero address

```solidity
error Aera__ZeroAddressDeployDelegate();
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aera.finance/the-protocol/core/isingledepositorvaultfactory.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
